\prog;T690.asm| clignote les 3ports osc 4 MHz
\b;RA0,1,2,4  RB4,5,6,7 RC0..5  priode 0.65s 

; Si OscCal est bien rgl, il doit y avoir 92 clignotement par minute
.Proc	16F870
.Ref	16F690
.Loc	16'2007
.16	16'03D4


.Loc	DebVar
Cx1:	.Blk.16	1
Cx2:	.Blk.16	1

Motif1	= 16'55	; 2'01010101
Motif2	= 16'AA	; 2'10101010

.Loc	0

Deb:
	Clr	PortA
	Set	Status:#RP1
	Clr	AnSel		; Dconnecte le A/D
	Clr	AnSelH		; Dconnecte le A/D
	Clr	Status:#RP1
; Mettre en service ces 4 instructions pour 8 MKz
;	Set	Status:#RP0
;	Move	#16'70,W
;	Move	W,OscCon
;	Clr	Status:#RP0

	Move	#16'0,W	; out
	Move	W,TrisA
	Move	W,TrisB
	Move	W,TrisC	; out

Loop:
	Move	#Motif1,W
	Call	Ecrit
	Call	Attente

	Move	#Motif2,W
	Call	Ecrit
	Call	Attente
	Jump	Loop

\rout:Ecrit|Ecrit dans tous les ports
\in;W valeur  crire		
Ecrit:	Move	W,PortA
	Move	W,PortB
	Move	W,PortC
	Ret
\rout:Attente|Dure 0.39s
\mod; Cx1 Cx2 =0	
Attente:	; Attente 256x256x3 us 
 Att:	DecSkip,EQ	CX1
	Jump	Att
	DecSkip,EQ	CX2
	Jump	Att
	Ret

.Ascii	"T 6 9 0 "

.End
