\prog;T877|Clignote les sorties
\b;RA0-3,5 RB0..7 RC0..7 RD0..7 RE0..2 
; priode 0.65 s a 4 Mhz

;A noter que Ra4 est une sortie en collecteur ouvert.
; La LED verte du microdule Da8 ne s'allume pas

; Ne pas utiliser si des sorties sont court-circuites ou connectes a des sorties d'interface

.Proc	16F877
.Ref	16F877
;Configuration
.Loc	16'2007
.16	16'3F39

; Variables
CX1	= 16'20	; Dbut des variables
CX2	= 16'21

Motif1	= 16'55	; 2'01010101
Motif2	= 16'AA	; 2'10101010

.Loc	0
Deb:
	Clr	PortA
	Set	Status:#RP0
	Move	#16'06,W
	Move	W,AdCon1
 	Move	#0,W	; sorties
	Move	W,PortA
	Move	W,PortB
	Move	W,PortC
	Move	W,PortD
	Move	W,PortE
	Clr	Status:#RP0
Loop:
	Move	#Motif1,W
	Call	Ecrit
	Call	Attente

	Move	#Motif2,W
	Call	Ecrit
	Call	Attente
	Jump	Loop

\rout:Ecrit|Ecrit dans tous les ports
\in;W valeur  crire		
Ecrit:	Move	W,PortA
	Move	W,PortB
	Move	W,PortC
	Move	W,PortD
	Move	W,PortE
	Ret
\rout:Attente|Dure 0.39s
\mod; Cx1 Cx2 =0	
Attente:	; Attente 256x256x3 us 
 Att:	DecSkip,EQ	CX1
	Jump	Att
	DecSkip,EQ	CX2
	Jump	Att
	Ret

.Ascii	"T 8 7 7 A "

.End
